---
title: Add Card
description: A prepaid card is a card you can use to pay for things. You can add money to it and then you can use the card to spend up to that amount. This API is used for adding a card detail to database of the issuer who has issued the card for the user. We must pass entity id, card type, kit no, card no and card expiry in request. If the request has valid details, we will get a success response.
---

## POST

```
https://kraken.airpay.co.in/airpay/ms/cards/api/add-card
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| content-type | string | application/x-www-form-urlencoded(required) |
| token | text | Will be provided by Airpay (length 10, required) |
| checksum | text | $string = $param.self::$secret_key;sha256(<concate all values+SECRET KEY>);(dynamic, required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| entity_id | text | The Customer Id registered with the system (length 50, required) |
| card_type | text | Card type to be mentioned. (P – Physical , V- virtual) (length 1, required) |
| kit_no | text | Proxy card or kit number (length 16, required) |
| card_no | text | 16 digit card no. (length 16, required) |
| card_expiry | text | Expiry Date of Card- 1 month to 25 years (length 10, required) |
## Request-Example:
```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/add-card' \
--header 'content-type: application/x-www-form-urlencoded' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'card_type=V' \
--data-urlencode 'card_no=462294XXXXXX3713' \
--data-urlencode 'kit_no=100000001236' \
--data-urlencode 'card_expiry=12/2022'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | numeric | 400- fail,200-success(length 3, required) |
| message | text | Success, Fail(required) |
| data | json | {“”}(required) |
## Success-Response:

```
{
    "status": 200,
    "message": "success",
    "data": []
}
```
## Fail-Response:

```
{
    "status": 400,
    "message": "fail"
}
```